--- fam/FileSystemTable.c++.orig	Tue Jul 16 07:23:24 2002
+++ fam/FileSystemTable.c++	Mon Sep  9 15:56:16 2002
@@ -255,7 +255,10 @@
     //  create_fs_by_name initializes our "root" member variable.
     if (!fs_by_name)
     {   create_fs_by_name();
+#if !defined(__FreeBSD__)
+	/* there is no mtab "file" in freebsd! */
 	mtab_watcher = new InternalClient(mtab_name, mtab_event_handler, NULL);
+#endif
     }
 
     cr.become_user();
